Back to top

DAP++ SDK 3.5.3 (31 Oct 2005)

Submitted by jimg on Mon, 10/31/2005 - 12:55

This update to 3.5.2 includes fixes to problems reported with the 3.5.x beta releases and a vastly reworked build. The build now uses autoconf/make and libtool and produces both a static and shared library. Included with the source is a RPM spec file which can be used to produce both RPM source and binary distributions. Both the Makefile builds and the rpm builds have had extensive work to bring them inline with the Fedora project's requirements, thanks to Patrice Dumas and others. Also included is a semi-automated way to build Mac OS/X 10.4 (Tiger) packages. The GNURegex class has been rewritten so that it uses only the POSIX interface for regular expressions, which introduces a few subtle changes in the library's behavior. There are a number of applications out there that use the 3.2 library and there have been a number of changes to the API since then. Here's a short paper (pdf) that explains how to migrate code from 3.2 to 3.5. This version of the library is required by the new data handlers that work with the latest version of the server, which will also be released today.


Mac OS/X Mac OS/X
OS/X 10.4 (Tiger) package
Linux Tux Logo Linux (i386)
Fedora Core 4, RPMs (gcc 4.0)
Linux Tux Logo Linux (i386)
Red Hat Enterprise Linux 3, RPMs (gcc 3.2.3)
Sun SPARC/Solaris SPARC/Solaris
Solaris 2.6
IRIX 6.5

Source code

Version 3.5.3
tar.gz. Required: You may need libcurl and/or libxml2. The libdap 3.5.3 software requires libcurl 7.10.6 and libxml2 2.5.7. See our Third-party software page for links to these packages. You may also need the pthreads package.